> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get an environment GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id} Reference: https://contentful.com/developers/docs/references/content-management-api/environments/get-an-environment ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in the form of a string - `environment_id` (string, required) — ID of the environment in form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "sys": { "createdAt": "2026-01-15T12:16:14.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "id": "staging", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "Environment", "updatedAt": "2026-01-15T12:16:14.000Z", "updatedBy": { "sys": { "id": "4FLrUHftHW3v2BLi9fzfjU", "linkType": "User", "type": "Link" } }, "version": 1 } } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // fetch an environment in Contentful. client .environments() .async() .fetchOne( "", "", new CMACallback() { @Override protected void onSuccess(CMAEnvironment environment) { // Successfully fetched all environments. new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("I fetched one environment." + "\n\nResult: " + environment) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch the environment." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); CMAEnvironment environment = client .environments() .fetchOne(""); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val environment = client .environments() .fetchOne("") ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => console.log(environment)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const environment = await client.environment.get({ spaceId: '', environmentId: '', }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $space = $client->getSpaceProxy(''); $environment = $space->getEnvironment(''); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') environment = client.environments('').find('') ``` ```python Python from contentful_management import Client client = Client('') environment = client.environments('').find('') ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var environment = await client.GetEnvironment(""); ```